The Torch machine learning framework easy installation script doesn't work on CentOS 6. It should, though - the script just dies if it detects any OS version other than 7.

I pulled out the raw commands and put them in a pastebin. This successfully installed torch on the lab's CentOS 6-based system. Enjoy.